<html>
<head>
<title>OGRE: Ogre::Image Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Image.html">Image</a></div>
<h1>Ogre::Image Class Reference</h1><!-- doxytag: class="Ogre::Image" -->Class representing an image file.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Image-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d5">Filter</a> { <br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d57ef2addab7f4ada3d9892979c0b309ca">FILTER_NEAREST</a>, 
<a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d54bd7e862129bad718a43406a38716a46">FILTER_LINEAR</a>, 
<a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d54d66afbe9239683a6fb6b90edb1611b5">FILTER_BILINEAR</a>, 
<a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d5c05b8d3ad728faf2b99a2c3a8c9ed03c">FILTER_BOX</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d5100906ef66a390179993687a1975025d">FILTER_TRIANGLE</a>, 
<a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d50f429c684c4f0e599f9a15304205c233">FILTER_BICUBIC</a>
<br>
 }</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="structOgre_1_1Box.html">Ogre::Box</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#bd443d16124b2b012b77a282f2af909a">Box</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="structOgre_1_1TRect.html">Ogre::Rect</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#acf1f2552048b7c6d5e94d6746d9186b">Rect</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#52fa85f905c638964c805b3d49d2c383">Image</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Standard constructor.  <a href="#52fa85f905c638964c805b3d49d2c383"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#4285ffbb1d7edb6cd969d0be0971bfc2">Image</a> (const <a class="el" href="classOgre_1_1Image.html">Image</a> &amp;img)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Copy-constructor - copies all the data from the target image.  <a href="#4285ffbb1d7edb6cd969d0be0971bfc2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#d0d9eb6c85932db89f62a048995aa495">~Image</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Standard destructor.  <a href="#d0d9eb6c85932db89f62a048995aa495"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Image.html">Image</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#69d732e215cba117bf93e0e7b5d1332a">operator=</a> (const <a class="el" href="classOgre_1_1Image.html">Image</a> &amp;img)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Assignment operator - copies all the data from the target image.  <a href="#69d732e215cba117bf93e0e7b5d1332a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Image.html">Image</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#73e8b6002bc5c1b269bee49fa8c656c2">flipAroundY</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flips (mirrors) the image around the Y-axis.  <a href="#73e8b6002bc5c1b269bee49fa8c656c2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Image.html">Image</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#bc1b4d115f77212e4569d7e6ac815431">flipAroundX</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flips (mirrors) the image around the X-axis.  <a href="#bc1b4d115f77212e4569d7e6ac815431"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Image.html">Image</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#5216235925e6373c0f5083da1e079c1a">loadDynamicImage</a> (<a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a> *pData, size_t uWidth, size_t uHeight, size_t depth, <a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> eFormat, bool autoDelete=false, size_t numFaces=1, size_t numMipMaps=0)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Stores a pointer to raw data in memory.  <a href="#5216235925e6373c0f5083da1e079c1a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Image.html">Image</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#e37a81baaff4cf558c85a7391731eb8c">loadDynamicImage</a> (<a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a> *pData, size_t uWidth, size_t uHeight, <a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> eFormat)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Stores a pointer to raw data in memory.  <a href="#e37a81baaff4cf558c85a7391731eb8c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Image.html">Image</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#34f63a18e0f76a06b4241176359ada3e">loadRawData</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, size_t uWidth, size_t uHeight, size_t uDepth, <a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> eFormat, size_t numFaces=1, size_t numMipMaps=0)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Loads raw data from a stream.  <a href="#34f63a18e0f76a06b4241176359ada3e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Image.html">Image</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#7c48c4bc51b8f881be4be863b5a83d80">loadRawData</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, size_t uWidth, size_t uHeight, <a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> eFormat)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Loads raw data from a stream.  <a href="#7c48c4bc51b8f881be4be863b5a83d80"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Image.html">Image</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#8696e6097310fc2c6d0e9fd20aebacf5">load</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;strFileName, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Loads an image file.  <a href="#8696e6097310fc2c6d0e9fd20aebacf5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Image.html">Image</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#f47461603b9b019d6f1b3c169d9f995e">load</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;type)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Loads an image file from a stream.  <a href="#f47461603b9b019d6f1b3c169d9f995e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#611359a16f40f5c18bd937acd33e27c2">save</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Save the image as a file.  <a href="#611359a16f40f5c18bd937acd33e27c2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#03cc0979349f9bc0265a5874b57ea184">getData</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a pointer to the internal image buffer.  <a href="#03cc0979349f9bc0265a5874b57ea184"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#e23cbe1cb7705d9799785d0b43bfc5cf">getData</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a const pointer to the internal image buffer.  <a href="#e23cbe1cb7705d9799785d0b43bfc5cf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#a75a5efe06c0a688cb0ffcb34cedbb7f">getSize</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the size of the data buffer.  <a href="#a75a5efe06c0a688cb0ffcb34cedbb7f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#ad1f93ad3ba0a9d5c51bbce1c93453ec">getNumMipmaps</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the number of mipmaps contained in the image.  <a href="#ad1f93ad3ba0a9d5c51bbce1c93453ec"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#e2f8502c13f02ad085aa3b1a5e826f91">hasFlag</a> (const <a class="el" href="namespaceOgre.html#975bb6abd3c277b9a91d849367885474">ImageFlags</a> imgFlag) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if the image has the appropriate flag set.  <a href="#e2f8502c13f02ad085aa3b1a5e826f91"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#4d21f6945e083b7af9321527320a3762">getWidth</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the width of the image in pixels.  <a href="#4d21f6945e083b7af9321527320a3762"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#bdc3383a6f6d68eda727c5d43ce067e8">getHeight</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the height of the image in pixels.  <a href="#bdc3383a6f6d68eda727c5d43ce067e8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#fb4c5a7b87334c4e7476c852d1121910">getDepth</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the depth of the image.  <a href="#fb4c5a7b87334c4e7476c852d1121910"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#c887a554b7cb5abbb7b77b6c62075275">getNumFaces</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the numer of faces of the image.  <a href="#c887a554b7cb5abbb7b77b6c62075275"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#f458417a1a2ab38e5591851b579ad3cb">getRowSpan</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the physical width in bytes of each row of pixels.  <a href="#f458417a1a2ab38e5591851b579ad3cb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#de5a8a16f5e847de921045ebb97a70e8">getFormat</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the image format.  <a href="#de5a8a16f5e847de921045ebb97a70e8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#1cb5ea73228131da66c5a57fac2834f7">getBPP</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the number of bits per pixel.  <a href="#1cb5ea73228131da66c5a57fac2834f7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#4224332770c9c30b64e908b44a789fcd">getHasAlpha</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if the image has an alpha component.  <a href="#4224332770c9c30b64e908b44a789fcd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#ba78705a174783378b065ed0de871383">getColourAt</a> (int x, int y, int z)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get colour value from a certain location in the image.  <a href="#ba78705a174783378b065ed0de871383"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#eff45f8c905111e460abb48a96be7f9e">getPixelBox</a> (size_t face=0, size_t mipmap=0) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a <a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory...">PixelBox</a> encapsulating the image data of a mipmap.  <a href="#eff45f8c905111e460abb48a96be7f9e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#67a00ee3969db8f5255d2485e3599f03">resize</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> width, <a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> height, <a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d5">Filter</a> filter=FILTER_BILINEAR)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Resize a 2D image, applying the appropriate filter.  <a href="#67a00ee3969db8f5255d2485e3599f03"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#b4681974e712d9701c9396e98c6eb07d">applyGamma</a> (<a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a> *buffer, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> gamma, size_t size, <a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a> bpp)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Does gamma adjustment.  <a href="#b4681974e712d9701c9396e98c6eb07d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#defc5ec16de7ea09fca1c5bbe6782a4c">scale</a> (const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;src, const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;dst, <a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d5">Filter</a> filter=FILTER_BILINEAR)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Scale a 1D, 2D or 3D image volume.  <a href="#defc5ec16de7ea09fca1c5bbe6782a4c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#d53d6f2143390c7e0c600ba68885104f">calculateSize</a> (size_t mipmaps, size_t faces, size_t width, size_t height, size_t depth, <a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>

<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#77383eae76add5c3d30382864dff46d0">m_uWidth</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#45511cf9bc3844d319ff75a8a5ae609b">m_uHeight</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#ef0a230b9ae302382eaca003f93df33c">m_uDepth</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#254da9ca80cfb6111f1122f840a7cb13">m_uSize</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#8c4ae301ef3c6b38ac8df411f5059a40">m_uNumMipmaps</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#f32565a11978398078f8ddce460a620a">m_uFlags</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#40297fc2c86fd928d7033aac6cae7f9a">m_eFormat</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#ae00af420e61849ced96e65843ff0b28">m_ucPixelSize</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#f88804fc8a2e823f04b583989e11b6d4">m_pBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Image.html#0e67b8bdc3b6094050ac0b8edc3f4fa1">m_bAutoDelete</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class representing an image file. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The <a class="el" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a> class usually holds uncompressed image data and is the only object that can be loaded in a texture. <a class="el" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a> objects handle image data decoding themselves by the means of locating the correct <a class="el" href="classOgre_1_1Codec.html" title="Abstract class that defines a &#39;codec&#39;.">Codec</a> object for each data type. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Typically, you would want to use an <a class="el" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a> object to load a texture when extra processing needs to be done on an image before it is loaded or when you want to blit to an existing texture. </dd></dl>

<p>Definition at line <a class="el" href="OgreImage_8h-source.html#l00056">56</a> of file <a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="bd443d16124b2b012b77a282f2af909a"></a><!-- doxytag: member="Ogre::Image::Box" ref="bd443d16124b2b012b77a282f2af909a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1Box.html">Ogre::Box</a> <a class="el" href="structOgre_1_1Box.html">Ogre::Image::Box</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImage_8h-source.html#l00059">59</a> of file <a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="acf1f2552048b7c6d5e94d6746d9186b"></a><!-- doxytag: member="Ogre::Image::Rect" ref="acf1f2552048b7c6d5e94d6746d9186b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1TRect.html">Ogre::Rect</a> <a class="el" href="structOgre_1_1TRect.html">Ogre::Image::Rect</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImage_8h-source.html#l00060">60</a> of file <a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="a1d0fe80507583b39161736e4be198d5"></a><!-- doxytag: member="Ogre::Image::Filter" ref="a1d0fe80507583b39161736e4be198d5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d5">Ogre::Image::Filter</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="a1d0fe80507583b39161736e4be198d57ef2addab7f4ada3d9892979c0b309ca"></a><!-- doxytag: member="FILTER_NEAREST" ref="a1d0fe80507583b39161736e4be198d57ef2addab7f4ada3d9892979c0b309ca" args="" -->FILTER_NEAREST</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="a1d0fe80507583b39161736e4be198d54bd7e862129bad718a43406a38716a46"></a><!-- doxytag: member="FILTER_LINEAR" ref="a1d0fe80507583b39161736e4be198d54bd7e862129bad718a43406a38716a46" args="" -->FILTER_LINEAR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="a1d0fe80507583b39161736e4be198d54d66afbe9239683a6fb6b90edb1611b5"></a><!-- doxytag: member="FILTER_BILINEAR" ref="a1d0fe80507583b39161736e4be198d54d66afbe9239683a6fb6b90edb1611b5" args="" -->FILTER_BILINEAR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="a1d0fe80507583b39161736e4be198d5c05b8d3ad728faf2b99a2c3a8c9ed03c"></a><!-- doxytag: member="FILTER_BOX" ref="a1d0fe80507583b39161736e4be198d5c05b8d3ad728faf2b99a2c3a8c9ed03c" args="" -->FILTER_BOX</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="a1d0fe80507583b39161736e4be198d5100906ef66a390179993687a1975025d"></a><!-- doxytag: member="FILTER_TRIANGLE" ref="a1d0fe80507583b39161736e4be198d5100906ef66a390179993687a1975025d" args="" -->FILTER_TRIANGLE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="a1d0fe80507583b39161736e4be198d50f429c684c4f0e599f9a15304205c233"></a><!-- doxytag: member="FILTER_BICUBIC" ref="a1d0fe80507583b39161736e4be198d50f429c684c4f0e599f9a15304205c233" args="" -->FILTER_BICUBIC</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreImage_8h-source.html#l00374">374</a> of file <a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="52fa85f905c638964c805b3d49d2c383"></a><!-- doxytag: member="Ogre::Image::Image" ref="52fa85f905c638964c805b3d49d2c383" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Image::Image           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Standard constructor. 
<p>

</div>
</div><p>
<a class="anchor" name="4285ffbb1d7edb6cd969d0be0971bfc2"></a><!-- doxytag: member="Ogre::Image::Image" ref="4285ffbb1d7edb6cd969d0be0971bfc2" args="(const Image &amp;img)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Image::Image           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Image.html">Image</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>img</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Copy-constructor - copies all the data from the target image. 
<p>

</div>
</div><p>
<a class="anchor" name="d0d9eb6c85932db89f62a048995aa495"></a><!-- doxytag: member="Ogre::Image::~Image" ref="d0d9eb6c85932db89f62a048995aa495" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::Image::~Image           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Standard destructor. 
<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="69d732e215cba117bf93e0e7b5d1332a"></a><!-- doxytag: member="Ogre::Image::operator=" ref="69d732e215cba117bf93e0e7b5d1332a" args="(const Image &amp;img)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Image.html">Image</a>&amp; Ogre::Image::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Image.html">Image</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>img</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Assignment operator - copies all the data from the target image. 
<p>

</div>
</div><p>
<a class="anchor" name="73e8b6002bc5c1b269bee49fa8c656c2"></a><!-- doxytag: member="Ogre::Image::flipAroundY" ref="73e8b6002bc5c1b269bee49fa8c656c2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Image.html">Image</a>&amp; Ogre::Image::flipAroundY           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Flips (mirrors) the image around the Y-axis. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>An example of an original and flipped image: <pre>                
                originalimg
                00000000000
                00000000000
                00000000000
                00000000000
                00000000000
                ------------&gt; flip axis
                00000000000
                00000000000
                00000000000
                00000000000
                00000000000
                originalimg
                </pre> </dd></dl>

</div>
</div><p>
<a class="anchor" name="bc1b4d115f77212e4569d7e6ac815431"></a><!-- doxytag: member="Ogre::Image::flipAroundX" ref="bc1b4d115f77212e4569d7e6ac815431" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Image.html">Image</a>&amp; Ogre::Image::flipAroundX           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Flips (mirrors) the image around the X-axis. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>An example of an original and flipped image: <pre>
                        flip axis
                            |
                originalimg|gmilanigiro
                00000000000|00000000000
                00000000000|00000000000
                00000000000|00000000000
                00000000000|00000000000
                00000000000|00000000000
                </pre> </dd></dl>

</div>
</div><p>
<a class="anchor" name="5216235925e6373c0f5083da1e079c1a"></a><!-- doxytag: member="Ogre::Image::loadDynamicImage" ref="5216235925e6373c0f5083da1e079c1a" args="(uchar *pData, size_t uWidth, size_t uHeight, size_t depth, PixelFormat eFormat, bool autoDelete=false, size_t numFaces=1, size_t numMipMaps=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Image.html">Image</a>&amp; Ogre::Image::loadDynamicImage           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a> *&nbsp;</td>
          <td class="paramname"> <em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>uWidth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>uHeight</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>depth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td>
          <td class="paramname"> <em>eFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>autoDelete</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>numFaces</em> = <code>1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>numMipMaps</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Stores a pointer to raw data in memory. 
<p>
The pixel format has to be specified. <dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method loads an image into memory held in the object. The pixel format will be either greyscale or RGB with an optional Alpha component. The type can be determined by calling <a class="el" href="classOgre_1_1Image.html#de5a8a16f5e847de921045ebb97a70e8" title="Returns the image format.">getFormat()</a>. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Whilst typically your image is likely to be a simple 2D image, you can define complex images including cube maps, volume maps, and images including custom mip levels. The layout of the internal memory should be: <ul>
<li>
face 0, mip 0 (top), width x height (x depth) </li>
<li>
face 0, mip 1, width/2 x height/2 (x depth/2) </li>
<li>
face 0, mip 2, width/4 x height/4 (x depth/4) </li>
<li>
.. remaining mips for face 0 ..  </li>
<li>
face 1, mip 0 (top), width x height (x depth)&lt;/li </li>
<li>
.. and so on.  </li>
</ul>
Of course, you will never have multiple faces (cube map) and depth too. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>The</em>&nbsp;</td><td>data pointer </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>Width</em>&nbsp;</td><td>of image </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>Height</em>&nbsp;</td><td>of image </td></tr>
    <tr><td valign="top"></td><td valign="top"><em><a class="el" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a></em>&nbsp;</td><td>Depth (in 3d images, numbers of layers, otherwhise 1) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>Pixel</em>&nbsp;</td><td>Format </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>if</em>&nbsp;</td><td>memory associated with this buffer is to be destroyed with the <a class="el" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a> object. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>the</em>&nbsp;</td><td>number of faces the image data has inside (6 for cubemaps, 1 otherwise) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>the</em>&nbsp;</td><td>number of mipmaps the image data has inside </td></tr>
  </table>
</dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>The memory associated with this buffer is NOT destroyed with the <a class="el" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a> object, unless autoDelete is set to true. </dd></dl>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The size of the buffer must be numFaces*PixelUtilgetMemorySize(width, height, depth, format) </dd></dl>

</div>
</div><p>
<a class="anchor" name="e37a81baaff4cf558c85a7391731eb8c"></a><!-- doxytag: member="Ogre::Image::loadDynamicImage" ref="e37a81baaff4cf558c85a7391731eb8c" args="(uchar *pData, size_t uWidth, size_t uHeight, PixelFormat eFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Image.html">Image</a>&amp; Ogre::Image::loadDynamicImage           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a> *&nbsp;</td>
          <td class="paramname"> <em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>uWidth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>uHeight</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td>
          <td class="paramname"> <em>eFormat</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Stores a pointer to raw data in memory. 
<p>
The pixel format has to be specified. <dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method loads an image into memory held in the object. The pixel format will be either greyscale or RGB with an optional Alpha component. The type can be determined by calling <a class="el" href="classOgre_1_1Image.html#de5a8a16f5e847de921045ebb97a70e8" title="Returns the image format.">getFormat()</a>. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Whilst typically your image is likely to be a simple 2D image, you can define complex images including cube maps and images including custom mip levels. The layout of the internal memory should be: <ul>
<li>
face 0, mip 0 (top), width x height </li>
<li>
face 0, mip 1, width/2 x height/2  </li>
<li>
face 0, mip 2, width/4 x height/4  </li>
<li>
.. remaining mips for face 0 ..  </li>
<li>
face 1, mip 0 (top), width x height (x depth)&lt;/li </li>
<li>
.. and so on.  </li>
</ul>
Of course, you will never have multiple faces (cube map) and depth too. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>The</em>&nbsp;</td><td>data pointer </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>Width</em>&nbsp;</td><td>of image </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>Height</em>&nbsp;</td><td>of image </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>Pixel</em>&nbsp;</td><td>Format </td></tr>
  </table>
</dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>The memory associated with this buffer is NOT destroyed with the <a class="el" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a> object. </dd></dl>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This function is deprecated; one should really use the <a class="el" href="classOgre_1_1Image.html#5216235925e6373c0f5083da1e079c1a" title="Stores a pointer to raw data in memory.">Image::loadDynamicImage</a>(pData, width, height, depth, format, ...) to be compatible with future <a class="el" href="namespaceOgre.html">Ogre</a> versions. </dd></dl>

<p>Definition at line <a class="el" href="OgreImage_8h-source.html#l00197">197</a> of file <a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="34f63a18e0f76a06b4241176359ada3e"></a><!-- doxytag: member="Ogre::Image::loadRawData" ref="34f63a18e0f76a06b4241176359ada3e" args="(DataStreamPtr &amp;stream, size_t uWidth, size_t uHeight, size_t uDepth, PixelFormat eFormat, size_t numFaces=1, size_t numMipMaps=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Image.html">Image</a>&amp; Ogre::Image::loadRawData           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>uWidth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>uHeight</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>uDepth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td>
          <td class="paramname"> <em>eFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>numFaces</em> = <code>1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>numMipMaps</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Loads raw data from a stream. 
<p>
See the function loadDynamicImage for a description of the parameters. <dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The size of the buffer must be numFaces*PixelUtilgetMemorySize(width, height, depth, format) </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Whilst typically your image is likely to be a simple 2D image, you can define complex images including cube maps and images including custom mip levels. The layout of the internal memory should be: <ul>
<li>
face 0, mip 0 (top), width x height (x depth) </li>
<li>
face 0, mip 1, width/2 x height/2 (x depth/2) </li>
<li>
face 0, mip 2, width/4 x height/4 (x depth/4) </li>
<li>
.. remaining mips for face 0 ..  </li>
<li>
face 1, mip 0 (top), width x height (x depth)&lt;/li </li>
<li>
.. and so on.  </li>
</ul>
Of course, you will never have multiple faces (cube map) and depth too. </dd></dl>

</div>
</div><p>
<a class="anchor" name="7c48c4bc51b8f881be4be863b5a83d80"></a><!-- doxytag: member="Ogre::Image::loadRawData" ref="7c48c4bc51b8f881be4be863b5a83d80" args="(DataStreamPtr &amp;stream, size_t uWidth, size_t uHeight, PixelFormat eFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Image.html">Image</a>&amp; Ogre::Image::loadRawData           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>uWidth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>uHeight</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td>
          <td class="paramname"> <em>eFormat</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Loads raw data from a stream. 
<p>
The pixel format has to be specified. <dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This function is deprecated; one should really use the <a class="el" href="classOgre_1_1Image.html#34f63a18e0f76a06b4241176359ada3e" title="Loads raw data from a stream.">Image::loadRawData</a>(stream, width, height, depth, format, ...) to be compatible with future <a class="el" href="namespaceOgre.html">Ogre</a> versions. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Whilst typically your image is likely to be a simple 2D image, you can define complex images including cube maps and images including custom mip levels. The layout of the internal memory should be: <ul>
<li>
face 0, mip 0 (top), width x height </li>
<li>
face 0, mip 1, width/2 x height/2  </li>
<li>
face 0, mip 2, width/4 x height/4  </li>
<li>
.. remaining mips for face 0 ..  </li>
<li>
face 1, mip 0 (top), width x height (x depth)&lt;/li </li>
<li>
.. and so on.  </li>
</ul>
Of course, you will never have multiple faces (cube map) and depth too. </dd></dl>

<p>Definition at line <a class="el" href="OgreImage_8h-source.html#l00245">245</a> of file <a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8696e6097310fc2c6d0e9fd20aebacf5"></a><!-- doxytag: member="Ogre::Image::load" ref="8696e6097310fc2c6d0e9fd20aebacf5" args="(const String &amp;strFileName, const String &amp;groupName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Image.html">Image</a>&amp; Ogre::Image::load           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>strFileName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>groupName</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Loads an image file. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method loads an image into memory. <a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> format for which and associated <a class="el" href="classOgre_1_1ImageCodec.html" title="Codec specialized in images.">ImageCodec</a> is registered can be loaded. This can include complex formats like DDS with embedded custom mipmaps, cube faces and volume textures. The type can be determined by calling <a class="el" href="classOgre_1_1Image.html#de5a8a16f5e847de921045ebb97a70e8" title="Returns the image format.">getFormat()</a>. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>strFileName</em>&nbsp;</td><td>Name of a file file to load. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>groupName</em>&nbsp;</td><td>Name of the resource group to search for the image </td></tr>
  </table>
</dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>The memory associated with this buffer is destroyed with the <a class="el" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a> object. </dd></dl>

</div>
</div><p>
<a class="anchor" name="f47461603b9b019d6f1b3c169d9f995e"></a><!-- doxytag: member="Ogre::Image::load" ref="f47461603b9b019d6f1b3c169d9f995e" args="(DataStreamPtr &amp;stream, const String &amp;type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Image.html">Image</a>&amp; Ogre::Image::load           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>type</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Loads an image file from a stream. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method works in the same way as the filename-based load method except it loads the image from a <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> object. This <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> is expected to contain the encoded data as it would be held in a file. <a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> format for which and associated <a class="el" href="classOgre_1_1ImageCodec.html" title="Codec specialized in images.">ImageCodec</a> is registered can be loaded. This can include complex formats like DDS with embedded custom mipmaps, cube faces and volume textures. The type can be determined by calling <a class="el" href="classOgre_1_1Image.html#de5a8a16f5e847de921045ebb97a70e8" title="Returns the image format.">getFormat()</a>. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>stream</em>&nbsp;</td><td>The source data. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>type</em>&nbsp;</td><td>The type of the image. Used to decide what decompression codec to use. </td></tr>
  </table>
</dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd>Image::load( const String&amp; strFileName ) </dd></dl>

</div>
</div><p>
<a class="anchor" name="611359a16f40f5c18bd937acd33e27c2"></a><!-- doxytag: member="Ogre::Image::save" ref="611359a16f40f5c18bd937acd33e27c2" args="(const String &amp;filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Image::save           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filename</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Save the image as a file. 
<p>

</div>
</div><p>
<a class="anchor" name="03cc0979349f9bc0265a5874b57ea184"></a><!-- doxytag: member="Ogre::Image::getData" ref="03cc0979349f9bc0265a5874b57ea184" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a>* Ogre::Image::getData           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns a pointer to the internal image buffer. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Be careful with this method. You will almost certainly prefer to use getPixelBox, especially with complex images which include many faces or custom mipmaps. </dd></dl>

</div>
</div><p>
<a class="anchor" name="e23cbe1cb7705d9799785d0b43bfc5cf"></a><!-- doxytag: member="Ogre::Image::getData" ref="e23cbe1cb7705d9799785d0b43bfc5cf" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a>* Ogre::Image::getData           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns a const pointer to the internal image buffer. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Be careful with this method. You will almost certainly prefer to use getPixelBox, especially with complex images which include many faces or custom mipmaps. </dd></dl>

</div>
</div><p>
<a class="anchor" name="a75a5efe06c0a688cb0ffcb34cedbb7f"></a><!-- doxytag: member="Ogre::Image::getSize" ref="a75a5efe06c0a688cb0ffcb34cedbb7f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::Image::getSize           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the size of the data buffer. 
<p>

</div>
</div><p>
<a class="anchor" name="ad1f93ad3ba0a9d5c51bbce1c93453ec"></a><!-- doxytag: member="Ogre::Image::getNumMipmaps" ref="ad1f93ad3ba0a9d5c51bbce1c93453ec" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::Image::getNumMipmaps           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the number of mipmaps contained in the image. 
<p>

</div>
</div><p>
<a class="anchor" name="e2f8502c13f02ad085aa3b1a5e826f91"></a><!-- doxytag: member="Ogre::Image::hasFlag" ref="e2f8502c13f02ad085aa3b1a5e826f91" args="(const ImageFlags imgFlag) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Image::hasFlag           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#975bb6abd3c277b9a91d849367885474">ImageFlags</a>&nbsp;</td>
          <td class="paramname"> <em>imgFlag</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if the image has the appropriate flag set. 
<p>

</div>
</div><p>
<a class="anchor" name="4d21f6945e083b7af9321527320a3762"></a><!-- doxytag: member="Ogre::Image::getWidth" ref="4d21f6945e083b7af9321527320a3762" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::Image::getWidth           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the width of the image in pixels. 
<p>

</div>
</div><p>
<a class="anchor" name="bdc3383a6f6d68eda727c5d43ce067e8"></a><!-- doxytag: member="Ogre::Image::getHeight" ref="bdc3383a6f6d68eda727c5d43ce067e8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::Image::getHeight           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the height of the image in pixels. 
<p>

</div>
</div><p>
<a class="anchor" name="fb4c5a7b87334c4e7476c852d1121910"></a><!-- doxytag: member="Ogre::Image::getDepth" ref="fb4c5a7b87334c4e7476c852d1121910" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::Image::getDepth           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the depth of the image. 
<p>

</div>
</div><p>
<a class="anchor" name="c887a554b7cb5abbb7b77b6c62075275"></a><!-- doxytag: member="Ogre::Image::getNumFaces" ref="c887a554b7cb5abbb7b77b6c62075275" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::Image::getNumFaces           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the numer of faces of the image. 
<p>
This is usually 6 for a cubemap, and 1 for a normal image. 
</div>
</div><p>
<a class="anchor" name="f458417a1a2ab38e5591851b579ad3cb"></a><!-- doxytag: member="Ogre::Image::getRowSpan" ref="f458417a1a2ab38e5591851b579ad3cb" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::Image::getRowSpan           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the physical width in bytes of each row of pixels. 
<p>

</div>
</div><p>
<a class="anchor" name="de5a8a16f5e847de921045ebb97a70e8"></a><!-- doxytag: member="Ogre::Image::getFormat" ref="de5a8a16f5e847de921045ebb97a70e8" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> Ogre::Image::getFormat           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the image format. 
<p>

</div>
</div><p>
<a class="anchor" name="1cb5ea73228131da66c5a57fac2834f7"></a><!-- doxytag: member="Ogre::Image::getBPP" ref="1cb5ea73228131da66c5a57fac2834f7" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a> Ogre::Image::getBPP           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the number of bits per pixel. 
<p>

</div>
</div><p>
<a class="anchor" name="4224332770c9c30b64e908b44a789fcd"></a><!-- doxytag: member="Ogre::Image::getHasAlpha" ref="4224332770c9c30b64e908b44a789fcd" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Image::getHasAlpha           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if the image has an alpha component. 
<p>

</div>
</div><p>
<a class="anchor" name="b4681974e712d9701c9396e98c6eb07d"></a><!-- doxytag: member="Ogre::Image::applyGamma" ref="b4681974e712d9701c9396e98c6eb07d" args="(uchar *buffer, Real gamma, size_t size, uchar bpp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::Image::applyGamma           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a> *&nbsp;</td>
          <td class="paramname"> <em>buffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>gamma</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a>&nbsp;</td>
          <td class="paramname"> <em>bpp</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Does gamma adjustment. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Basic algo taken from Titan Engine, copyright (c) 2000 Ignacio Castano Iguado </dd></dl>

</div>
</div><p>
<a class="anchor" name="ba78705a174783378b065ed0de871383"></a><!-- doxytag: member="Ogre::Image::getColourAt" ref="ba78705a174783378b065ed0de871383" args="(int x, int y, int z)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> Ogre::Image::getColourAt           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>z</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get colour value from a certain location in the image. 
<p>
The z coordinate is only valid for cubemaps and volume textures. This uses the first (largest) mipmap. 
</div>
</div><p>
<a class="anchor" name="eff45f8c905111e460abb48a96be7f9e"></a><!-- doxytag: member="Ogre::Image::getPixelBox" ref="eff45f8c905111e460abb48a96be7f9e" args="(size_t face=0, size_t mipmap=0) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> Ogre::Image::getPixelBox           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>face</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>mipmap</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get a <a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory...">PixelBox</a> encapsulating the image data of a mipmap. 
<p>

</div>
</div><p>
<a class="anchor" name="defc5ec16de7ea09fca1c5bbe6782a4c"></a><!-- doxytag: member="Ogre::Image::scale" ref="defc5ec16de7ea09fca1c5bbe6782a4c" args="(const PixelBox &amp;src, const PixelBox &amp;dst, Filter filter=FILTER_BILINEAR)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::Image::scale           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>dst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d5">Filter</a>&nbsp;</td>
          <td class="paramname"> <em>filter</em> = <code>FILTER_BILINEAR</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Scale a 1D, 2D or 3D image volume. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>src</em>&nbsp;</td><td><a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory...">PixelBox</a> containing the source pointer, dimensions and format </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dst</em>&nbsp;</td><td><a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory...">PixelBox</a> containing the destination pointer, dimensions and format </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>filter</em>&nbsp;</td><td>Which filter to use </td></tr>
  </table>
</dl>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This function can do pixel format conversion in the process. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>dst and src can point to the same <a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory...">PixelBox</a> object without any problem </dd></dl>

</div>
</div><p>
<a class="anchor" name="67a00ee3969db8f5255d2485e3599f03"></a><!-- doxytag: member="Ogre::Image::resize" ref="67a00ee3969db8f5255d2485e3599f03" args="(ushort width, ushort height, Filter filter=FILTER_BILINEAR)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Image::resize           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d5">Filter</a>&nbsp;</td>
          <td class="paramname"> <em>filter</em> = <code>FILTER_BILINEAR</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resize a 2D image, applying the appropriate filter. 
<p>

</div>
</div><p>
<a class="anchor" name="d53d6f2143390c7e0c600ba68885104f"></a><!-- doxytag: member="Ogre::Image::calculateSize" ref="d53d6f2143390c7e0c600ba68885104f" args="(size_t mipmaps, size_t faces, size_t width, size_t height, size_t depth, PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static size_t Ogre::Image::calculateSize           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>mipmaps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>faces</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>depth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td>
          <td class="paramname"> <em>format</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="77383eae76add5c3d30382864dff46d0"></a><!-- doxytag: member="Ogre::Image::m_uWidth" ref="77383eae76add5c3d30382864dff46d0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1Image.html#77383eae76add5c3d30382864dff46d0">Ogre::Image::m_uWidth</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImage_8h-source.html#l00399">399</a> of file <a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="45511cf9bc3844d319ff75a8a5ae609b"></a><!-- doxytag: member="Ogre::Image::m_uHeight" ref="45511cf9bc3844d319ff75a8a5ae609b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1Image.html#45511cf9bc3844d319ff75a8a5ae609b">Ogre::Image::m_uHeight</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImage_8h-source.html#l00401">401</a> of file <a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ef0a230b9ae302382eaca003f93df33c"></a><!-- doxytag: member="Ogre::Image::m_uDepth" ref="ef0a230b9ae302382eaca003f93df33c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1Image.html#ef0a230b9ae302382eaca003f93df33c">Ogre::Image::m_uDepth</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImage_8h-source.html#l00403">403</a> of file <a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="254da9ca80cfb6111f1122f840a7cb13"></a><!-- doxytag: member="Ogre::Image::m_uSize" ref="254da9ca80cfb6111f1122f840a7cb13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1Image.html#254da9ca80cfb6111f1122f840a7cb13">Ogre::Image::m_uSize</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImage_8h-source.html#l00405">405</a> of file <a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8c4ae301ef3c6b38ac8df411f5059a40"></a><!-- doxytag: member="Ogre::Image::m_uNumMipmaps" ref="8c4ae301ef3c6b38ac8df411f5059a40" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1Image.html#8c4ae301ef3c6b38ac8df411f5059a40">Ogre::Image::m_uNumMipmaps</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImage_8h-source.html#l00407">407</a> of file <a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f32565a11978398078f8ddce460a620a"></a><!-- doxytag: member="Ogre::Image::m_uFlags" ref="f32565a11978398078f8ddce460a620a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1Image.html#f32565a11978398078f8ddce460a620a">Ogre::Image::m_uFlags</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImage_8h-source.html#l00409">409</a> of file <a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="40297fc2c86fd928d7033aac6cae7f9a"></a><!-- doxytag: member="Ogre::Image::m_eFormat" ref="40297fc2c86fd928d7033aac6cae7f9a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1Image.html#40297fc2c86fd928d7033aac6cae7f9a">Ogre::Image::m_eFormat</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImage_8h-source.html#l00412">412</a> of file <a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ae00af420e61849ced96e65843ff0b28"></a><!-- doxytag: member="Ogre::Image::m_ucPixelSize" ref="ae00af420e61849ced96e65843ff0b28" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a> <a class="el" href="classOgre_1_1Image.html#ae00af420e61849ced96e65843ff0b28">Ogre::Image::m_ucPixelSize</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImage_8h-source.html#l00415">415</a> of file <a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f88804fc8a2e823f04b583989e11b6d4"></a><!-- doxytag: member="Ogre::Image::m_pBuffer" ref="f88804fc8a2e823f04b583989e11b6d4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a>* <a class="el" href="classOgre_1_1Image.html#f88804fc8a2e823f04b583989e11b6d4">Ogre::Image::m_pBuffer</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImage_8h-source.html#l00416">416</a> of file <a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0e67b8bdc3b6094050ac0b8edc3f4fa1"></a><!-- doxytag: member="Ogre::Image::m_bAutoDelete" ref="0e67b8bdc3b6094050ac0b8edc3f4fa1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Image.html#0e67b8bdc3b6094050ac0b8edc3f4fa1">Ogre::Image::m_bAutoDelete</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImage_8h-source.html#l00419">419</a> of file <a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreImage_8h-source.html">OgreImage.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:04 2008
</p>
</body>
</html>
